<p align="center">
  <img src="https://github.com/jakebrehm/lemons/blob/master/img/logo.png" width="432" height="126" alt="lemons logo"/>
</p>

-----------------

**lemons** is a package that makes things easy.

# Why lemons?

Originally intending to call this package *ezpz*, it was soon discovered that the name had already been taken. Heartbroken, and with no other ideas for what to call this package, it felt like the world had ended. The feeling of dread and loss was devastating - debilitating, even.

Nonetheless, when life give you lemons, you squeeze them! Aha, an epiphany: why not go back to the root of it all, the title of one of my earliest programs: *EZPZ Lemon Squeezy*? A simple yet elegant title was there all along, yearning to represent this package and all it stood for; the darkness vanished as quickly as it came, and the name *lemons* was born.

# What is it?

*Lemons* tries to make data crunching and GUI building easier by eliminating a lot of repetitive and error-prone code. Please keep in mind that the package is still in its infancy, so its functionality is currently quite limited.

## Main features

In terms of data analysis, *lemons* makes working with data and csv files easier. For example, It can read a .csv file and return the desired columns, as well as write data to a .csv file - both in one line of code. It can also do more complicated things, such as adding tolerance bands around a data series.

The tkinter framework, as many know, is not the most user-friendly GUI-builder out there. *Lemons* hopes to help ease that pain a little. For example, creating a scrollable notebook tab, which previously took dozens of lines of code per tab, can now be done in just one.

# How to get it

## Dependencies

Currently, **lemons** primarily uses the standard Python library and therefore does not require any additional packages to be installed on your machine. However, if you want to use image functionality from the gui module, then **pillow** is necessary.

## Pip installation [![Current Version](https://img.shields.io/badge/pypi-v0.20-yellow.svg?style=flat?link=http://pypi.org/project/lemons/)](https://pypi.org/project/lemons/)

The latest stable version of the package is uploaded to PyPI.

To install, open a command prompt and type, or copy and paste:
```
pip install lemons
```

To upgrade to the latest version:
```
pip install --upgrade lemons
```

To uninstall the package:
```
pip uninstall lemons
```

# Authors
- **Jake Brehm** - *Initial Work* - [Email](mailto:jbrehm@tactair.com) | [Github](http://github.com/jakebrehm) | [LinkedIn](http://linkedin.com/in/jacobbrehm)